pcl::MeshProcessing Class Referenceabstract
Module surface

MeshProcessing represents the base class for mesh processing algorithms. More...

`#include <pcl/surface/processing.h>`

Inheritance diagram for pcl::MeshProcessing:

## Public Types

typedef boost::shared_ptr< MeshProcessing > | Ptr
typedef boost::shared_ptr< const MeshProcessing > | ConstPtr
typedef PolygonMesh::ConstPtr | PolygonMeshConstPtr

## Public Member Functions

| MeshProcessing ()
| Constructor. More...
virtual | ~MeshProcessing ()
| Destructor. More...
void | setInputMesh (const pcl::PolygonMeshConstPtr &input)
| Set the input mesh that we want to process. More...
pcl::PolygonMeshConstPtr | getInputMesh () const
| Get the input mesh to be processed. More...
void | process (pcl::PolygonMesh &output)
| Process the input surface mesh and store the results. More...

## Protected Member Functions

virtual bool | initCompute ()
| Initialize computation. More...
virtual void | deinitCompute ()
| UnInitialize computation. More...
virtual void | performProcessing (pcl::PolygonMesh &output)=0
| Abstract surface processing method. More...
virtual std::string | getClassName () const
| Abstract class get name method. More...

## Protected Attributes

pcl::PolygonMeshConstPtr | input_mesh_
| Input polygonal mesh. More...

## Detailed Description

MeshProcessing represents the base class for mesh processing algorithms.

Author
  Alexandru E. Ichim

Definition at line 94 of file processing.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr<const MeshProcessing> pcl::MeshProcessing::ConstPtr

Definition at line 98 of file processing.h.

## PolygonMeshConstPtr

typedef PolygonMesh::ConstPtr pcl::MeshProcessing::PolygonMeshConstPtr

Definition at line 100 of file processing.h.

## Ptr

typedef boost::shared_ptr<MeshProcessing> pcl::MeshProcessing::Ptr

Definition at line 97 of file processing.h.

## Constructor & Destructor Documentation

## MeshProcessing()

pcl::MeshProcessing::MeshProcessing | ( |  | ) |

inline

Constructor.

Definition at line 103 of file processing.h.

## ~MeshProcessing()

virtual pcl::MeshProcessing::~MeshProcessing | ( |  | ) |

inline virtual

Destructor.

Definition at line 106 of file processing.h.

## Member Function Documentation

## deinitCompute()

virtual void pcl::MeshProcessing::deinitCompute | ( |  | ) |

protected virtual

UnInitialize computation.

Must be called after processing ends.

## getClassName()

virtual std::string pcl::MeshProcessing::getClassName | ( |  | ) | const

inline protected virtual

Abstract class get name method.

Definition at line 143 of file processing.h.

## getInputMesh()

pcl::PolygonMeshConstPtr pcl::MeshProcessing::getInputMesh | ( |  | ) | const

inline

Get the input mesh to be processed.

Returns
  the mesh

Definition at line 119 of file processing.h.

References pcl::PCLBase< PointInT >::deinitCompute(), pcl::PCLBase< PointInT >::initCompute(), pcl::CloudSurfaceProcessing< PointInT, PointOutT >::performProcessing(), and pcl::CloudSurfaceProcessing< PointInT, PointOutT >::process().

## initCompute()

virtual bool pcl::MeshProcessing::initCompute | ( |  | ) |

protected virtual

Initialize computation.

Must be called before processing starts.

Reimplemented in pcl::EarClipping.

## performProcessing()

virtual void pcl::MeshProcessing::performProcessing | ( | pcl::PolygonMesh & | output | ) |

protected pure virtual

Abstract surface processing method.

Implemented in pcl::MeshSmoothingWindowedSincVTK, pcl::MeshSmoothingLaplacianVTK, pcl::MeshSubdivisionVTK, pcl::EarClipping, and pcl::MeshQuadricDecimationVTK.

## process()

void pcl::MeshProcessing::process | ( | pcl::PolygonMesh & | output | ) |

Process the input surface mesh and store the results.

Parameters

  [out] | output | the resultant processed surface model

## setInputMesh()

void pcl::MeshProcessing::setInputMesh | ( | const pcl::PolygonMeshConstPtr & | input | ) |

inline

Set the input mesh that we want to process.

Parameters

  [in] | input | the input polygonal mesh

Definition at line 112 of file processing.h.

## Member Data Documentation

## input_mesh_

pcl::PolygonMeshConstPtr pcl::MeshProcessing::input_mesh_

protected

Input polygonal mesh.

Definition at line 147 of file processing.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/processing.h